<?php

namespace App\Classes\General\Interfaces;


use Illuminate\Database\Eloquent\Relations\MorphTo;

interface Notifiable
{
    public function subject(): MorphTo;

    public function target(): MorphTo;

    public function causer(): MorphTo;
}